### Function

# AppStream ImageKind from_string

#### Declaration [src]

    AsImageKind
    as_image_kind_from_string (
      const gchar* kind
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`kind`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsImageKind`

A `AsImageKind`, or `AS_IMAGE_KIND_UNKNOWN` for unknown.